<template>
    <base-nav class="navbar-top navbar-dark"
              id="navbar-main"
              :show-toggle-button="false"
              expand>
        <ul class="navbar-nav align-items-center d-none d-md-flex ml-lg-auto">
            <li class="nav-item dropdown">
                <base-dropdown class="nav-link pr-0">
                    <div class="media align-items-center" slot="title">
                        <div class="media-body ml-2 d-none d-lg-block">
                            <span style="cursor: pointer;" class="mb-0 text-sm  font-weight-bold">
                              {{userData.firstname}} {{userData.lastname}} <i class="fa fa-angle-double-down"></i></span>
                        </div>
                    </div>
                    <template>
                        <div class=" dropdown-header noti-title">
                            <h6 class="text-overflow m-0">Welcome!</h6>
                        </div>
                        <router-link to="/profile" class="dropdown-item">
                            <i class="ni ni-single-02"></i>
                            <span>My profile</span>
                        </router-link>
                        <router-link to="/change" class="dropdown-item">
                            <i class="ni ni-settings-gear-65"></i>
                            <span>Change Password</span>
                        </router-link>
                        <div class="dropdown-divider"></div>
                        <span @click="checkLogout">
                        <router-link to="#" class="dropdown-item">
                            <i class="ni ni-user-run"></i>
                            <span>Logout</span>
                        </router-link>
                        </span>
                    </template>
                </base-dropdown>
            </li>
        </ul>
    </base-nav>
</template>
<script>
  export default {
    data() {
      return {
        activeNotifications: false,
        showMenu: false,
        searchQuery: '',
        userData: []
      };
    },
    created() {
      this.getProfile()
    },
    methods: {
      toggleSidebar() {
        this.$sidebar.displaySidebar(!this.$sidebar.showSidebar);
      },
      hideSidebar() {
        this.$sidebar.displaySidebar(false);
      },
      toggleMenu() {
        this.showMenu = !this.showMenu;
      },getProfile() {
          //console.log(localStorage.token)
          this.$http.get('/manage/profile',{
          headers: {
            Authorization: 'Bearer ' + localStorage.token
            }
          })
          .then(response => (this.userData = response.data))
        },checkLogout() {
          this.$swal({
            title: "You want to sign out?",
            icon: "warning",
            buttons: ["Cancel", "Confirm"],
            dangerMode: true,
          })
          .then((confirm) => {
          if (confirm) {
              this.$router.push('/logout')
            }
          })
        }
    }
  };
</script>
